Skip to main content

Delete Custom Field

Snapshot Catalog Entry

This page is generated from broker tools/list snapshot data.

POSTghl.ghl_delete_custom_field

Delete a custom field by ID. This will permanently remove the field and its data.

Request Body

{
"jsonrpc": "2.0",
"id": "ghl-ghl-delete-custom-field-example",
"method": "tools/call",
"params": {
"name": "ghl.ghl_delete_custom_field",
"arguments": {
"id": "id_123",
"tenantId": "tenantId_123"
}
}
}

Arguments Schema

{
"type": "object",
"properties": {
"tenantId": {
"type": "string"
},
"id": {
"type": "string"
}
},
"required": [
"id"
]
}

Code Examples

curl -X POST 'https://madpanda3d.com/lab/mad-mcps/portal/api/mcp' \
-H 'Authorization: Bearer mad_live_***' \
-H 'Content-Type: application/json' \
-d '{
"jsonrpc": "2.0",
"id": "ghl-ghl-delete-custom-field-example",
"method": "tools/call",
"params": {
"name": "ghl.ghl_delete_custom_field",
"arguments": {
"id": "id_123",
"tenantId": "tenantId_123"
}
}
}'

Example Responses

{
"ok": true,
"message": "Tool ghl.ghl_delete_custom_field executed successfully.",
"note": "Response shape varies by MCP tool. Inspect live responses for exact fields."
}